Main Page Widgets Namespaces Book

# attributes.h File Reference

## Namespaces

namespace | Pango
namespace | Glib

## Classes

class | Pango::Attribute
| The Pango::Attribute structure represents the common portions of all attributes. More...
class | Pango::AttrString
| A Pango::AttrString is used to represent an attribute with a string value. More...
class | Pango::AttrLanguage
| A Pango::AttrLanguage is used to represent an attribute that is a language. More...
class | Pango::AttrColor
| A Pango::AttrColor is used to represent an attribute which is a color. More...
class | Pango::AttrInt
| A Pango::AttrInt is used to represent an attribute with an integer or enumeration value. More...
class | Pango::AttrFloat
| A Pango::AttrFloat is used to represent an attribute with a float or double value. More...
class | Pango::AttrFontDesc
| A Pango::AttrFontDesc is used to represent an attribute that sets all aspects of the font description at once. More...
class | Pango::AttrShape
| A Pango::AttrShape structure is used to represent an attribute which imposes shape restrictions. More...
struct | Pango::AttributeTraits

## Typedefs

typedef PangoLogAttr | LogAttr
| A Pango::LogAttr stores information about the attributes of a single character.
typedef Glib::SListHandle< Attribute, AttributeTraits > | SListHandle_Attribute

## Enumerations

enum | AttrType { ATTR_INVALID, ATTR_LANGUAGE, ATTR_FAMILY, ATTR_STYLE, ATTR_WEIGHT, ATTR_VARIANT, ATTR_STRETCH, ATTR_SIZE, ATTR_FONT_DESC, ATTR_FOREGROUND, ATTR_BACKGROUND, ATTR_UNDERLINE, ATTR_STRIKETHROUGH, ATTR_RISE, ATTR_SHAPE, ATTR_SCALE, ATTR_FALLBACK, ATTR_LETTER_SPACING, ATTR_UNDERLINE_COLOR, ATTR_STRIKETHROUGH_COLOR }
| Pango::AttrType distinguishes between different types of attributes. More...
enum | Underline { UNDERLINE_NONE, UNDERLINE_SINGLE, UNDERLINE_DOUBLE, UNDERLINE_LOW, UNDERLINE_ERROR }
| A Pango::Underline is used to specify whether text should be underlined, and if so, the type of underlining. More...

## Typedef Documentation

typedef PangoLogAttr Pango::LogAttr

| A Pango::LogAttr stores information about the attributes of a single character.

typedef Glib::SListHandle<Attribute, AttributeTraits> Pango::SListHandle_Attribute